Skip to main content
GET
/
v1
/
stocks
/
ipo-calendar
Get planned IPO calendar events
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/stocks/ipo-calendar \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "actions": "Expected",
      "company": "Pacer Funds Trust",
      "daa": "2025-02-03T05:00:00.000Z",
      "date": "2025-02-03",
      "exchange": "NYSE",
      "market_cap": "$500M",
      "price_range": "$15.00 - $17.00",
      "shares": 1000000,
      "symbol": "PEVC"
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

from
string

Start date (YYYY-MM-DD format)

to
string

End date (YYYY-MM-DD format)

Response

Successfully retrieved IPO calendar

data
object[]
error
object
pagination
any
request_id
string
success
boolean